wims (2:4.27a+dfsg1-3~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 31 Jan 2024 18:05:29 +0100

wims (2:4.27a+dfsg1-3) unstable; urgency=medium

  * use autoreconf --install to create wims/src/configure
  * improved the clean target in d/rules

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 31 Jan 2024 16:12:31 +0100

wims (2:4.27a+dfsg1-2) unstable; urgency=medium

  * fixed the regexp to mangle package name in debian/watch
  * erased the line below about bookworm_backport

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 16 Dec 2023 12:24:10 +0100

wims (2:4.27a+dfsg1-1) unstable; urgency=medium

  [ Jean Charles Delépine ]
  * New upstream release 4.27a+dfsg1 Closes: #1057032
  * Non-maintainer upload.
  * refreshed debian patches
  * terser replace uglifyjs.terser Closes: #1001029
  * remove autoconf from debian rules Closes: #997720
  * add ctime.h to wims_mathml.cc
  * Force MathML=yes
  * add dependency to libwebservice-validator-html-w3c-perl 
    to make SSO CAS working
  * wims-modules: don't fail on postrm if /var/lib/wims is a mount point
  * wims-modules: add dependency to libjs-mootools, jsxgraph, yui-compressor and
    asciidoc-common Closes: #988894
  * wims-modules: add dependency to libjs-edit-area and remove it from
    third-parties
  * wims-modules: depend node-mathjax-full and make a symlink in scripts/js
  * wims-modules: various foundation.sh corrections
  * wims-modules: call foundation.sh from Makefile.for.debian

  [ Georges Khaznadar ]
  * replaced the tilde "~" by a plus sign in the package name.
  * added lintian overrides for source files which triggered lintian errors
    but are human-readable.
  * modified the file tablesort.sh in the debian patches to delete a file which
    is sneaking in with a link to
    https://d2dq2ahtl5zl1z.cloudfront.net/analytics.js, and the
    subdirectory test/ which contains a file with too long lines.
  * modified debian/get-latest-source to remove more sourceless contents from
    the upstream source package
  * patched the Makefile.in files to introduce $(CPPFLAGS) into default
    build commands for C sources.

 -- Jean Charles Delépine <delepine@u-picardie.fr>  Wed, 29 Nov 2023 18:10:09 +0100

wims (2:4.22~dfsg1-2) unstable; urgency=medium

  * new source upload, to reach unstable. Closes: #992427
  * updated source/lintian-overrides, about
    third-parties/foundation-sites-6.6.3 : most errors are due to long
    one liners, which are still human-readable (the source is *not*
    obfuscated).
  * updated source/lintian-overrides, about
    third-parties/tablesort-5.0.2/demo/_layouts/default.html which features
    a privacy breach; added a line in debian/rules to remove
    third-parties/tablesort-5.0.2/demo from the debian package
  * updated source/lintian-overrides, about
    third-parties/tablesort-5.0.2/test/tape.js which begins with
    a poorly human-readable expression, which was probably blindly copied
    from some other file (the remainder of the file tape.js is *not*
    obfuscated). As this file is part of a tests suite, it is just
    removed from the debian package (in the target `clean` of debian/rules)

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 21 Aug 2021 13:36:46 +0200

wims (2:4.22~dfsg1-1) experimental; urgency=medium

  * new upstream version downloaded; checked that there is no
    wims/src/Misc/applets/Lattice directory
  * refreshed debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 15 Aug 2021 20:22:17 +0200

wims (2:4.21f~dfsg1-3) UNRELEASED; urgency=medium

  * modified the file d/get-latest-source to exclude
    wims/src/Misc/applets/Lattice/ which triggered bug #992088,
    in order to download latest upstream sources

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 15 Aug 2021 20:09:29 +0200

wims (2:4.17b+svn13454~dfsg2-1) unstable; urgency=medium

  * created a Git branch debian/bugfix-992088
  * made a new orig tarball without files
    wims/src/Misc/applets/Lattice/src/LatticeViewer.java and
    wims/src/Misc/applets/Lattice/src/Matrix3D.java
    (the subdirectory wims/src/Misc/applets/Lattice was removed)
    Closes: #992088
  * removed useless directories wims/src/Misc/chemeq/debian and
    wims/src/Misc/units-filter/debian
  * updated the debian patch modifying java builds
  * checked the new build process in a fresh chroot

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 13 Aug 2021 13:28:13 +0200

wims (1:4.21f~dfsg1-2) unstable; urgency=medium

  * created a debian patch to cheat in Wims' tinymce.phtml file;
    its features are now provided by ckeditor which is well packaged
    inside Debian.
  * replaced a dependency: tinymce -> ckeditor; Closes: #987728

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 29 Apr 2021 20:25:42 +0200

wims (1:4.21f~dfsg1-1) unstable; urgency=medium

  * new upstream version 4.21f
  * removed obsolete lintian overrides, and added new ones
  * replaced uglifyjs by js-beautify or uglifyjs.terser
  * removed obsolete java sources
  * added dependencies on libjs-jquery-ui, libjs-marked, libjs-slick
  * improved the scripts "dfsg-scripts"
  * updated Makefiles for debian
  * dropped the empty package wims-java-applets; this package was necessary
    for wims when some features implemented by Joke Evers were implemented
    as java applets; nowadays all of those features are reimplemented in
    javascript; the java source are still part of the upstream source, but
    no longer used, as asserted by e-mails exchanged by wims developers.
    Closes: #987463
  * simplified wims.postinst since there are no longer various apache
    servers in Debian ; removed also wims.templates, wims.config and the
    subdirectory debian/po/

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 26 Apr 2021 18:42:16 +0200

wims (1:4.17b+svn13454~dfsg1-6) unstable; urgency=medium

  * created the line "usr/share/man/man1/flydraw.1.gz" in
    debian/not-installed in order to work around the current bug of debhelper:
    the routine dh_missing warns that usr/share/man/man1/flydraw.1.gz
    is not installed to anywhere, while one can find it under the directory
    debian/flydraw at the end of the build.
    Let us hope that later dh_missing will be fixed, and that it will report
    the false entry in debian/not-installed

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 02 Jan 2021 16:54:11 +0100

wims (1:4.17b+svn13454~dfsg1-5) unstable; urgency=medium

  * added a build-dependency on shtool. Closes: #978922
  * upgraded the build-dependency on debhelper-compat (=13)

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 01 Jan 2021 12:44:10 +0100

wims (1:4.17b+svn13454~dfsg1-4) unstable; urgency=medium

  * patched the file wims/src/Misc/symtext/symtext.h to add external
    declarations, for variables appearing more than once. Closes: #966874
  * updated debhelper -> debhelper-compat (=12), Standards-Version: 4.5.0
  * removed build-dependencies default-jdk, ant since JARs are no longer
    necessary

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 03 Aug 2020 19:02:57 +0200

wims (1:4.17b+svn13454~dfsg1-3) unstable; urgency=medium

  * added a line in d/wims.postinst to create CSS files during the
    configuration.

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 20 Apr 2020 17:29:45 +0200

wims (1:4.17b+svn13454~dfsg1-2) unstable; urgency=medium

  * upgraded java level to 1.8. Build errors are cleared for .jar files.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 19 Apr 2020 16:48:11 +0200

wims (1:4.17b+svn13454~dfsg1-1) unstable; urgency=medium

  * added $(shell dpkg-buildflags --export=cmdline) to configure's
    call, to auto-reconfigure the package before building it.
  * changes for gcc-10: fixed the compilation problems regarding
    many variables, which were found as multiply declared by gcc-10
    compiler. Most cases could be fixed by using extern clauses.
    Closes: #957934
  * new transition upstream version, dismissing some debian paches
  * updated/removed debian patches
  * moved dependencies from package wims to package wims-modules: now
    wims modules depends on a few libjs-* packages, which Closes: #915015.
  * removed the dependency on mootools, since it is no longer used in wims'
    tree

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 19 Apr 2020 15:10:36 +0200

wims (1:4.17b~dfsg1-1) UNPUBLISHED; urgency=medium

  * new upstream version
  * upgraded dh level to 11, Standards-Version to 4.2.1
  * added lintian overrides for new human-readable scripts with long lines
  * added a new script in dfsg-scripts, for tablesort

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 23 Nov 2018 18:54:20 +0100

wims (1:4.15d~dfsg1-3) unstable; urgency=medium

  * adopted Graham Inggs' patch; Closes: #913751

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 17 Nov 2018 17:23:41 +0100

wims (1:4.15d~dfsg1-2) UNPUBLISHED; urgency=medium

  * removed the invocation of mathfonts/clean, which was done
    during the clean phase after the file wims/src/makefile was
    rebuilt.
  * removed the patch 10no-static-libs.patch, which is useless;
    as long as there is no file /usr/lib/libm.a, the programs
    will not be linked in static mode.
  * renamed the main Makefile, so it can be part from upstream, without disturbing upstream developers
  * fixed the clean rule

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 01 Jul 2018 21:34:15 +0200

wims (1:4.15d~dfsg1-1) unstable; urgency=medium

  * upgraded to the newest upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 30 Jun 2018 11:34:58 +0200

wims (1:4.15c~dfsg1-1) unstable; urgency=medium

  * upgraded to the newest upstream version
  * fixed debian/get-latest-version: this script did not previously
    remove the patches applies by quilt.
  * modified the main Makefile to create a missing directory when the
    packages are built in Indep mode. Closes: #901751
  * replaced /var/lib/wims/.../normalize.min.css by a symlink to
    the stylesheet provided by node-normalize.css. Closes: #898794

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 27 Jun 2018 18:37:34 +0200

wims (1:4.15b~dfsg1-11) unstable; urgency=medium

  * added VCS control fields in debain/control, to subscribe
    wims into the debian-science project

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 17 Feb 2018 17:13:27 +0100

wims (1:4.15b~dfsg1-10) unstable; urgency=medium

  * changed php from build-dependency to build-dependency -indep

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 29 Jan 2018 14:59:45 +0100

wims (1:4.15b~dfsg1-9) unstable; urgency=medium

  * moved tex..gif to texGif, made a symlink tex..gif => texGif
  * changed some files from package wims to package wims-modules, so
    they are installed as Indep. As all installs are done by the Makefile
    removed debian/*.install
  * removed uglifyjs and qrencode from build-dependencies; added qrencode
    as a dependency for wims, and uglifyjs as Build-Depends-Indep
  * better separated -arch and -indep parts for the build and install
  * made a circular dependency between wims and wims-modules; removed
    wims-modules.postint so this circular dependency can be broken, moved
    some parts of the erased postinst script to wims.postinst ; removed
    triggers.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 26 Jan 2018 01:46:59 +0100

wims (1:4.15b~dfsg1-8) unstable; urgency=medium

  * fixed the execution issue with tex..gif

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 23 Jan 2018 20:05:20 +0100

wims (1:4.15b~dfsg1-7) unstable; urgency=medium

  * patched the file edit_area_compressor.php which is obsolete
    after php 5.5.0, to work with php 7
  * fixed a problem with triggers
  * put Java build-dependencies as indep

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 23 Jan 2018 18:03:33 +0100

wims (1:4.15b~dfsg1-6) unstable; urgency=medium

  * modified the main Makefile and debian/rules, to separate
    -arch and -indep targets

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 23 Jan 2018 10:20:39 +0100

wims (1:4.15b~dfsg1-5) unstable; urgency=medium

  * fixed a bug in the script dfsg-scripts/jquery.mb.extruder.sh

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 20 Jan 2018 18:02:17 +0100

wims (1:4.15b~dfsg1-4) unstable; urgency=medium

  * removed any build of javascript files in the main Makefile.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 19 Jan 2018 15:44:50 +0100

wims (1:4.15b~dfsg1-3) unstable; urgency=medium

  * changed the dependency octave3.0|octave -> octave.
  * upgraded Standards-Version: 4.1.3
  * removed the dependency on libjs-edit-area, since wims installs
    its own js library in /var/lib/wims/public_html/scripts/js/edit_area
  * implemented a d/wims.maintscript to remove the symlink
    /var/lib/wims/public_html/scripts/js/edit_area ->
    /usr/share/javascript/edit-area which was created with earlier versions.
    Added a predependency to ensure that dpkg >= 1.17.14. Closes: #886945

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 12 Jan 2018 18:13:25 +0100

wims (1:4.15b~dfsg1-2) unstable; urgency=medium

  * fixed the access to files at /var/lib/wims/public_html/scripts/model
    in debian/wims.postinsts. Closes: #881677

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 16 Nov 2017 17:39:29 +0100

wims (1:4.15b~dfsg1-1) unstable; urgency=medium

  * New upstream release
  * removed debian/mkSourcePackage
  * ensured that "binary" files are executable under /bin directories
  * changed the build-dependencies, introduced libgd-dev. Closes: #880785
  * upgraded: Standards-Version: 4.1.1, debhelper: 10
  * wrote a few scripts in dfsg-scripts/: jquery.sh.extruder.sh,
    edit_area.sh, what-input.sh, jquery-ui-slider-pips.sh and documented
    their usage in debian/README.source : they are used by the script
    debian/get-latest-source, and also by the Makefile for the target
    install:
  * changed Makefile and debian/get-latest-source to use these scripts
  * removed the build-dependency on unzip, added a build-dependency on
    php (for edit_area's custom JS compressor, called by the script
    edit_area.sh upon installation)
  * made changes in debian/copyright to reflect the new source package
    structure
  * moved debian/source.lintian-overrides to debian/source/lintian-overrides
    and added some overrrides for the third party's package edit_area
  * simplified debian/wims-modules.triggers
  * use now dpkg-buildflags in debian/rules.
  * removed the unused debconf template wims/restart-webserver
  * removed the unused override about .../jm.evers/applets/Pento.jar

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 08 Nov 2017 22:51:02 +0100

wims (1:4.13c~dfsg1-3) unstable; urgency=medium

  * Increased the size of uloadable files.

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 31 Jan 2017 16:48:30 +0100

wims (1:4.13c~dfsg1-2) unstable; urgency=medium

  * Changed the build-dependency on autoconf; Closes: #852367

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 28 Jan 2017 14:26:34 +0100

wims (1:4.13c~dfsg1-1) unstable; urgency=medium

  * New upstream release
  * updated d/wims.lintian.overrides, d/source.lintian.overrides
  * beautified ../bower_components/safari_mobile_links/compressed.js
  * removed uglified sources for ASCIIMathML.js and LaTeXMathML.js from
    the source dfsg package, replaced them by symlinks, added a dependency
    on libjs-asciimathml
  * same thing for /public_html/scripts/js/editor/scripts_1/mootools.js
  * added the binary jquery.mb.extruder-2.6.0.zip, and wrote code to
    remove sourceless uglified javascript from the source package, added
    a few lines in the Makefile to deal with this archive. Added a mention
    in debian/copyright.
  * done the same for the library what-input version 3.0.
  * upgraded Version-Standard to 3.9.8
  * removed the versioned-dependency on imagemagick
  * added build-dependencies on uglifyhs, unzip

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 29 Dec 2016 16:51:58 +0100

wims (1:4.13b~dfsg1-1) unstable; urgency=medium

  * upgraded to the new upstream release
  * applied Chris Lamb's patch. Closes: #833399
  * added Adriano Rafael Gomes' po file for language pt_BR. Closes: #816935
  * modified wims.postinst, which hopefully Closes: #817963
  * added a build-dependency on imagemagick|graphicsmagick-imagemagick-compat

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 24 Oct 2016 19:41:15 +0200

wims (1:4.11c~dfsg1-1) unstable; urgency=medium

  * upgraded to the new upstream release

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 09 Mar 2016 18:44:29 +0100

wims (1:4.11b~dfsg1-1) unstable; urgency=medium

  * upgraded to the newest upstream version
  * updated debian patches accordingly
  * fixed a few symlinks created by the main Makefile
  * modified postinst scripts to give more files to user wims
  * simplified a little bit the file d/get-latest-source
  * fixed the link to mootools.js

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 16 Jan 2016 17:23:08 +0100

wims (1:4.11a~dfsg1-2) unstable; urgency=medium

  * fixed the incorrect uglification of js source; just stopped uglifying.
  * removed node-uglify from dependencies

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 25 Nov 2015 17:48:49 +0100

wims (1:4.11a~dfsg1-1) unstable; urgency=medium

  * upgraded to the newest upstream version
  * updated debian patches accordingly
  * updated Standards-Version to 3.9.6
  * updated d/copyright to avoid the lintian warning
    "space-in-std-shortname-in-dep5-copyright"
  * updated the file d/watch to reflect the changes in the forge service
  * modified the file d/get-latest-source : updated the URLs, changed the
    names of uglified javascript code to be removed from JM Evers' directory
  * created a Makefile to compress javascript sources provided by JM Evers
    and modified the top-level Makefile to activate it.
  * added a build-dependency on node-uglify 

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 21 Jan 2015 19:28:21 +0100

wims (1:4.08~dfsg1-1) unstable; urgency=medium

  * upgraded to the newest upstream version
  * updated debian patches accordingly

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 11 Sep 2014 16:43:25 +0200

wims (1:4.07d~dfsg1-1) unstable; urgency=medium

  * upgraded to the newest upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 19 Aug 2014 16:47:41 +0200

wims (1:4.07c~dfsg2-1) unstable; urgency=medium

  * reverted removal of js libraries for dynapi3x and edit_area
  * modified debian/get-latest-source
  * modified README.source
  * modified the management of JS libraries in Makefile

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 25 Jun 2014 15:57:44 +0200

wims (1:4.07c~dfsg1-1) unstable; urgency=medium

  * removed any file related to the obsoleted embedded gd library
  * allowed addresses like knoppix@localhost to be used to create an
    individual class; this is useful for KnoWims live systems.
  * upgraded to the newest upstream release

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 21 Mar 2014 17:47:16 +0100

wims (1:4.07b~dfsg1-1) unstable; urgency=medium

  * upgraded to the newest upstream version
  * changed the build-dependency: automake1.14 becomes just automake
    Closes: #741895
  * cleaned the patch set; many of them became useless because of upstream
    changes.
  * fixed a few inconsistencies in the source of WIMSchem java applet

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 19 Mar 2014 15:49:07 +0100

wims (1:4.07a~dfsg1-8) unstable; urgency=medium

  * upgraded the dependency on automake: 1.9 becomes 1.14. Closes: #741895
  * upgraded Standards-Version to 3.9.5
  * added the directory ${wims_home}/public_html/scripts to the list of
    dirs to be given to wims.

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 06 Jan 2014 18:02:59 +0100

wims (1:4.07a~dfsg1-7) unstable; urgency=low

  * upgraded the dependency on chemeq; this allows one to display element names
    with a roman font.
  * modified the file wims_mathml.y to allow its compilation by bison-3.0
    Closes: #733369

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 24 Nov 2013 20:44:46 +0100

wims (1:4.07a~dfsg1-5) unstable; urgency=low

  * modified wims.postinst
    + if apache2 is installed but not yet configured, the postinst routine
      will succeed, but send a notification message. (Closes: #730058)
    + applied Alban Browaeys' patch, thanks! (Closes: #729976)

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 23 Nov 2013 15:57:00 +0100

wims (1:4.07a~dfsg1-4) unstable; urgency=low

  * modified wims.postinst (Closes: #728564).
    if wims is installed with no apache2 web service deploied, the
    postinst routine will succeed, but send a notification.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 17 Nov 2013 20:08:12 +0100

wims (1:4.07a~dfsg1-3) unstable; urgency=low

  * fixed a few bugs which made the package unusable when installed in a
    new Jessie machine.
    - added a command "a2enmod cgi" in wims.postint
    - added a dependency on libabpache2-mod-fcgid
    - fixed an inconsistency of /etc/apache2/conf-available/wims.conf
  * added dependencies to support new features of Wims
    - added a dependency on qrcode
    - added dependencies on libwebservice-validator-*-w3c-perl
  * renumbered files in debian/patches
  * modified the main Makefile to display the status of Java compilations
    and fixed an error in build.xml for ClickTile.java

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 01 Nov 2013 10:21:24 +0100

wims (1:4.07a~dfsg1-2) unstable; urgency=low

  * removed the build-dependency on openjdk-7-jdk in favor of default-jdk,
    which resolves many issues depending on the architecture. Closes: #725996
    by the way: Closes:  #720573

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 16 Oct 2013 15:55:56 +0200

wims (1:4.07a~dfsg1-1) unstable; urgency=low

  * upgraded to the newest upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 04 Oct 2013 21:07:41 +0200

wims (1:4.06~dfsg1-1) unstable; urgency=low

  * upgraded to the newest upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 26 Sep 2013 00:19:46 +0200

wims (1:4.05c~dfsg1-1) unstable; urgency=low

  * modified the build-dependency regarding openjdk
  * upgraded Standards-Version to 3.9.4
  * upgraded to the latest upstream version
  * removed patches whose content had been applied upstream
  * adjusted remaining patches to upstream modifications
  * modified files .htaccess to comply with Apache2.4's syntax
  * fixed debian/get-latest-source to erase moved jar files

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 27 Aug 2013 09:48:29 +0200

wims (1:4.05b~dfsg1-9) unstable; urgency=low

  * created the directory /var/lib/wims/public_html/modules/data/images
  * modified the configuration file por Apache. Closes: #717673

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 26 Jul 2013 21:29:54 +0200

wims (1:4.05b~dfsg1-8) unstable; urgency=low

  * modified wims.postinst, the symlink in /etc/apache2/conf.d is created
    only when this directory exists. Closes: #669769

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 13 Jul 2013 17:00:32 +0200

wims (1:4.05b~dfsg1-7) unstable; urgency=low

  * rebuilt the package with pdebuild, thanks to Julien Cristau
    Closes: #713850

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 30 Jun 2013 20:50:43 +0200

wims (1:4.05b~dfsg1-6) unstable; urgency=low

  * recoded scripts chemeq, chemeq_l, chemeq_n, and chemeq_error to
    use Perl as a script language, and enhance portability.
  * added a dependency on cpp to allow mkindex to work fully.
    Closes: #714522

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 30 Jun 2013 15:05:42 +0200

wims (1:4.05b~dfsg1-5) unstable; urgency=low

  * repaired the erroneous double "closes" statement below: Closes: #713850
  * restored files var.proc for templates/oef.{es|cn|fr}
  * assigned a bash SHELL to trusted programs chemeq, chemeq_l, chemeq_n,
    chemeq_error: this prevents bugs due to shells which modify character
    sequences like \r in \rightarrow and \f in \frac for example.
  * lowered the dependency request on chemeq : the version 2.9 is sufficient.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 23 Jun 2013 22:59:50 +0200

wims (1:4.05b~dfsg1-4) unstable; urgency=low

  * modified the installation system, to take in account debhelper's
    advantages. Created a set of package.install and package.manpages files.
    Closes: #713846 #713850
  * upgraded debian/compat and debhelper build-dependency to 9
  * defined Replaces: and Breaks: stances for wims-java-applets of
    previous versions, since part of the files of that package are
    owned by the package wims.
    See http://www.debian.org/doc/debian-policy/ch-relationships.html#s-replaces
  * removed the suggestion of wims-extra package
  * removed the Provides: stance for wims-modules-*
  * upgraded the dependency on chemeq (now >= 2.11)

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 22 Jun 2013 19:37:08 +0200

wims (1:4.05b~dfsg1-3) unstable; urgency=low

  * fixed the slib chemeq_compare which allowed cheating
  * added a dependency on chemeq >= 2.10
  * modified wims/public_html/chemeq_l to use the new feature in chemeq-2.10

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 22 Jun 2013 15:46:50 +0200

wims (1:4.05b~dfsg1-2) unstable; urgency=low

  * fixed the postinst/postrm scripts in order to comply with both
    apache 2.4 and 2.2

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 17 Jun 2013 09:33:05 +0200

wims (1:4.05b~dfsg1-1) unstable; urgency=low

  * upgraded to the last upstream release
  * fixed a bug in wims/public_html/chemeq_l which ate "\r"
  * removed embedded libraries related to jquery and updated dependencies
    accordingly.
  * made a debian/watch file
  * made a debian/rules file based on DH.

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 17 Jun 2013 04:49:39 +0200

wims (1:4.04~dfsg2-3) unstable; urgency=low

  * fixed a syntax error in wims.postinst. Closes: #712133
  * applied Adam Borowski's fix ro comply with the new syntax of 'find'
    Closes: #711710
  * modified the postinst script to comply with Apache 2.4. Closes: #669769
  * added compilation routines for java source files under 
    wimssrc/Misc/applets/ not belonging to Joke Evers

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 12 Jun 2013 22:33:52 +0200

wims (1:4.04~dfsg2-2) unstable; urgency=low

  * modified wims.postinst to comply with distributions missing the file
    /etc/mailname.

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 12 Jun 2013 20:43:35 +0200

wims (1:4.04~dfsg2-1) unstable; urgency=low

  * removed those symbols from the sourcve package which are generated
    during the post-installation. Closes:#687947

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 19 Jan 2013 15:08:01 +0100

wims (1:4.04~dfsg-2) unstable; urgency=low

  * modified files packaged for themes. Some are now distributed as templates
    so they can be customized at postinst time. Removed the file log/unsecure
    from the package since it makes no sense for Debian installations.
    Closes:#687947

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 17 Jan 2013 00:47:01 +0100

wims (1:4.04~dfsg-1) unstable; urgency=low

  * Modified my DEBEMAIL georgesk@ofset.org -> georgesk@debian.org
  * created a script debian/get-latest-source to retreive the last upstream
    version and strip out sourceless binaries. Closes:#691490
  * Modified the Makefile to take in account the deletions
  * Converted debian/copyright to DEP5 format
  * Added copyright information for wims/public_html/scripts/js/keyboard
  * removed javascript files embedded in wims, made links to files provided
    by the package jsxgraph. Closes:#691491

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 12 Jan 2013 22:54:45 +0100

wims (4.04-3) unstable; urgency=low

  * As gdImageDashedLine is slightly broken in latest libgd libraries,
    I implemented an emulation named "myDashedLine". This needs some
    discussion before pushing it to upstream, as most developers want to
    stick to the frozen gd library from the past.
  * Fixed a bug which appeared randomly with fellipse; replaced the invocation
    which floodfilled a "closed" arc by an invocation of gdImageFilledEllipse
    which is successful in every case.


 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 12 Oct 2012 18:52:41 +0200

wims (4.04-2) unstable; urgency=low

  * modified wims-modules.postinst to give more directories to wims:wims
    and enable the reconstruction of gifs. Closes: #687462

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 14 Sep 2012 18:11:03 +0200

wims (4.04-1) unstable; urgency=low

  * upgraded to the newest upstream version
  * added a dependency on libjs-edit-area, replaced parts of edit_area's
    subtree by symlinks to the debian package's files.
  * fixed a bug with the symbolic link to prototype.js
  * dropped conflicts: and replaces: clauses which pointed to older packages
    no longer available in stable.
  * added debian build flags in configure's invokation.
  * modified files Makefile.in to take in account those flags
  * added a build-dependency on bison and flex

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 08 Sep 2012 14:11:04 +0200

wims (4.03a-7) unstable; urgency=low

  * modified the description, thanks to Justin B Rye. Closes: #678745 

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 24 Jun 2012 11:14:36 +0200

wims (4.03a-6) unstable; urgency=low

  * modified the rlimits for 64 bit processors
  * updated the minimum version for the dependency maxima

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 12 Jun 2012 22:13:25 +0200

wims (4.03a-5) unstable; urgency=low

  * modified slightly the script called for the trigger "wims-modules"
    it ensures that files which should be owned by wims:wims have the
    right properties. Closes: #656113

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 11 Apr 2012 15:25:36 +0000

wims (4.03a-4) unstable; urgency=low

  * restored the build of the package wims-java-applets. This package is now
    considered as Architecture: some. This is a bad trick, since it can
    be installed seamlessly on JVM-lacking architectures, and needs no
    JVM in localhost to be useful for other machines. However this trick
    will be used as a turnaround, just to enable wims' acceptance in
    testing. If a better solution is found, it will be applied then.
  * modified debian/rules: as a consequence of the previous modification,
    the package wims-java-applets must be build as an architecture dependent
    package
  * fixed the parameter WIMS_VERSION in Makefile

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 09 Mar 2012 09:32:20 +0000

wims (4.03a-3) unstable; urgency=low

  * removed the build of the package wims-java-applets, which will become
    a separate package with is own source. The problem is with the
    architectures which do not come with a JVM: they cannot build wims
    completely if they must rebuild wims-java-applets (which they should not
    need, as this package is for all architectures). Hence, wims build-depends
    no longer on ant and openjdk-6-jdk
  * upgraded Standards-Version to 3.9.3

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 06 Mar 2012 18:50:06 +0000

wims (4.03a-2) unstable; urgency=low

  * fixed a bug which prevented the creation of modtool-oef exercices

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 27 Jan 2012 20:02:19 +0100

wims (4.03a-1) unstable; urgency=low

  * upgraded to the new upstream version. As the package can be installed
    inside a chroot set up by pbuilder, Closes: #656113
  * set adduser as a pre-dependency

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 27 Jan 2012 01:31:18 +0100

wims (4.02-5) unstable; urgency=low

  * modified a postinst routine to cope with systems with no /etc/mailname
    file, like Ubuntu
  * patched the file anstype/sigunits to fix a bug reported by Chantal Causse
  * separated applets in a distinct binary package

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 03 Dec 2011 23:52:53 +0100

wims (4.02-4) unstable; urgency=low

  * removed some useless debian patches, following Bernadette PERRIN-RIOU's
    hints.
  * added a forgotten dependency wims -> ldap-utils. Closes: #644060

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 02 Oct 2011 10:42:24 +0200

wims (4.02-3) unstable; urgency=low

  * modified the versioned dependency on units-filter to take in account
    a bugfix important for the anstypes sigunits and units: false results
    when numeric data came with more than 8 digits in the mantissa.

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 27 Aug 2011 20:51:23 +0200

wims (4.02-2) unstable; urgency=low

  * modified the versioned dependency on units-filter to take in account
    a bugfix important for the anstype sigunits.
  * removed the part of wims.postinst which tried to install math fonts
    since they already come with the binary package.
    Closes: #639317

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 25 Aug 2011 16:23:47 +0200

wims (4.02-1) unstable; urgency=low

  * upgraded to the last upstream version
  * added a file debian/mkSourcePackage and updated debian/Readme.source
  * rewritten Makefile to take in account the new position of Joke Ever's
    java sources.
  * changed Makefile to Makefile.in in Joke Ever's source directory, modified
    src/configure.in to reflect this change. 
  * simplified the instalation of Joke Ever's applets.
  * removed the invokation of mathfonts/clean, because the mathematic fonts
    in the upstream package are currently correctly built. This makes the
    wims package bolder (by 5 MB), but in turn it releaves users from waiting
    the long time of installation due to fonts recomputation.
  * removed the construction of the symlink /etc/wims/defaults.conf in
    wims.postinst

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 18 Aug 2011 18:20:13 +0200

wims (4.01e-7) unstable; urgency=low

  * added Danish translation, thanks to Joe Dalton.
    Closes: #631305
  * fixed a bug in anstype/sigunits, and added a dependency on
    units-filter (>=3.3): this should make the analysis of significative
    digits in numbers definitely correct.

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 24 Jun 2011 19:15:43 +0200

wims (4.01e-6) unstable; urgency=low

  * removed an obsolete line in wims.postinst
  * *really* added the creation of a symlink COPYING in wims.postinst

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 13 May 2011 00:09:45 +0200

wims (4.01e-5) unstable; urgency=low

  * modified the Recommends: line, after the publication of the package
    wims-help. This latter provides the FAQ. Closes: #624859
  * updated README.debian

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 09 May 2011 18:48:42 +0200

wims (4.01e-4) unstable; urgency=low

  * added the creation of a symlink COPYING in wims.postinst
    (don't close #624859)
  * patched wims.c to add support for ipv6. Closes: #625656
  * added a dependency wims -> ldap-utils. Closes: #625659
  * migrated the contents of /var/lib/wims/bin and /var/lib/wims/other/bin
    to /usr/lib/wims. Closes: #625201
  * updated Standards6version to 3.9.2
  * moved Joke's java binaries to /usr/share and written an overrides file
    for lintian which still complains.

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 06 May 2011 19:52:45 +0200

wims (4.01e-3) unstable; urgency=low

  * changed the way used by wims to display the mailname of the domain
    in 12 source files (the change is done at post-installation time).
    Closes: #618582

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 02 Apr 2011 17:06:00 +0200

wims (4.01e-2) unstable; urgency=low

  * modified wims-modules.postinst in order to enable the user wims to
    run part of the script. Closes: #618578
  * added a README.Debian file with a warning about missing modules
    in the packages. tracher/faq belongs to the missing modules, which 
    can be retreived separately. Closes: #618491
  * merged some of the obsolete Readme.Debian into README.Debian, enhanced
    the information. Removed the subdirectory debian/utils. Closes: #618608
  * removed the files /var/lib/wims/localwims and /var/lib/wims/update.sh 
    from the binary package. Closes: #618797
  * removed /var/lib/wims/lib/libwims.a from the binary package. 
    Closes: #618918
  * moved /var/lib/wims/bin to /usr/lib/wims/bin, created the necessary
    symlink and override. Closes: #619289

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 02 Apr 2011 15:40:19 +0200

wims (4.01e-1) unstable; urgency=low

  * added a new user/group pair nowims/nowims to allow to ovveride the
    owners of a few scripts which should be as low privileged as possible.
    Closes: #618474
  * revoked the suid root privilege for the script bin/ch..root, as it is 
    not useful when the feature known as "wims_chroot" is not necessary
    (this feature is very seldom asked for). Closes: #618476
  * upgraded to the newest upstream version
  * replaced the command useradd by the command adduser in wims.preinst
    Closes: #618472
  * modified the invokations of dpkg-statoverride to respect user's overrides
    Closes: #618479
  * removed quilt-related stuff from debian/rules
    Closes: #613545

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 16 Mar 2011 01:19:24 +0100

wims (4.01c-4) unstable; urgency=low

  * upgraded to the last svn revision for java applet sources, which 
    removes the dependency on com.jera.anttasks, and adjusted 
    debian/copyright accordingly
  * rewritten the scripts to compile java applets, as their source code
    is no more inside tarball files.
  * added Felix Geyer's patch, which modifies the order of -lm and -lwims
    in build targets. Closes: #606469

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 16 Jan 2011 01:54:14 +0100

wims (4.01c-3) unstable; urgency=low

  * fixed the file debian/copyright to remove the mentions about the
    metafont sources, and add Joke's "public domain" license.
  * upgraded to J.M. Evers' most recent sources for java applets. It fixes
    the compilation issues for those applets, except the ones which depend
    from ant-task com.jera.anttasks.Query
  * added a dependency on ant
  * made the license more precise: the files were released under GPL-2 and
    LGPL-2
  * updated debian/copyright with the license for Jera Ant Tasks.

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 21 Dec 2010 11:25:11 +0100

wims (4.01c-2) unstable; urgency=low

  * modified the target distclean in wims/src/Makefile.in to prevent
    the creation of useless patches by quilt
  * implemented the recompilation of Joke's java archive files.
    Closes: #593912
  * removed metafont sources from the source package

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 20 Dec 2010 16:12:46 +0100

wims (4.01c-1) unstable; urgency=low

  * upgraded to the newest upstream version
  * removed the obsoleted metafont files from the package
  * fixed a bug in wims/src/Misc/Makefile.in: now the target distclean
    depends on the target clean
  * fixed embedded javascript libraries and added dependencies on
    libjs-packages.
  * updated the file wims.postinst to reflect the changes in mkmathfonts
  * modified the messages echoed during the post-installation of wims
  * fixed one bug in wims-modules.postinst which messed the right
    permissions for /var/lib/wims/public_html/wims

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 19 Dec 2010 23:15:34 +0100

wims (4.00-4) unstable; urgency=low

  * modified wims.postinst: "dpkg-statoverride --list" comes prior to
    "dpkg-statoverride --remove" to ensure a reliable processing.
    Closes: #604203
  * bumped standards-version to 3.9.1
  * inverted the orders of chown and chmod in wims.postinst to allow the
    overrides to be efficient.

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 22 Nov 2010 15:26:52 +0100

wims (4.00-3) unstable; urgency=low

  * fixed a typo in the description. Closes: #589421
  * modified the dependency on octave2.1 which exists no more ==> octave3.0
  * added a dependency on graphviz. Closes: #593867

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 06 Aug 2010 19:25:32 +0200

wims (4.00-2) unstable; urgency=low

  * enhanced the description of the package, thanks to Christoph Berg
    and Christian Perrier. Closes: #585078
  * upgraded Standards-Version to 3.9.0
  * upgraded debian/compat to 7

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 02 Jul 2010 19:46:48 +0200

wims (4.00-1) unstable; urgency=low

  * upgraded to the new upstream version.
  * removed the package texgd from the output since this package is now
    overkilled by better TeX utilities to render maths to raster images.
  * added a build-dependency on autoconf
  * changed the config system : instead of the dirty installation of the file
    wims/src/configure, now I use autoreconf
  * added a lot of files to clean in the distclean target of the file
    wims/src/Makefile.in
  * updated many patches to reflect changes in the upstream

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 03 Jun 2010 00:29:28 +0200

wims (3.65+svn20090927-6) unstable; urgency=low

  * removed quilt from Build-Depends
    Closes: #584225

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 02 Jun 2010 23:10:21 +0200

wims (3.65+svn20090927-5) unstable; urgency=low

  * made some improvements, thanks to Sylvain Le Gall:
    - removed the useless file debian/dpatch2quilt
    - renamed docs to wims.docs, dirs to wims.dirs
    - removed the files debian/preinst debian/prerm debian/postinst and
      debian/postrm which are superseded by the files debian/wims.*
    - made a softer management for the conffiles in debian/wims.postinst
    - a few minor changes in debian/rules: rm -f => (RM); erased the
      dh_* calls which were commented out, quoted the occurencies of
      $(CURDIR).
    - removed the unused file debian/sourcefile

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 27 May 2010 02:36:01 +0200

wims (3.65+svn20090927-4) unstable; urgency=low

  * modified debian/rules: the unpatch procedure must be made before
    the "make distclean". If not, the package cannot be built twice properly.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 09 May 2010 18:54:18 +0200

wims (3.65+svn20090927-3) unstable; urgency=low

  * upgraded Standards-Version to 3.8.4
  * created wims-modules.preinst, in order to delete obsoleted symlinks.
    those symlinkshave been installed in former versions
    to begin with an experimental German localisation, which will
    no more be maintained with the same method. See the obsoleted
    patch file debian/patches/20po.patch
    Closes: #579426

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 21 Apr 2010 22:41:00 +0200

wims (3.65+svn20090927-2) unstable; urgency=low

  * added the Knuth's metafont sources for the Euler fonts, which are no more
    part of TexLive 2009, since they have been thoroughly reshaped by 
    Hermann Zapf 
    (see http://tug.org/TUGboat/Articles/tb29-2/tb92hagen-euler.pdf).
    Closes: #574235
  * modified wims-modules.postinst : gives the subdirectories of
    /var/lib/wims to user wims, group wims *before* launching mkindex.
    This should fix annoying errors during the triggered configuration.
  * updated lintian, and fixed the warnings it reported.

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 21 Apr 2010 00:25:37 +0200

wims (3.65+svn20090927-1) unstable; urgency=low

  * fixed a bashism in public_html/scripts/data/circuits/mksymbols
    thanks to Raphael Geisser
    Closes: #547764
  * updated the sources from the SVN repository

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 27 Sep 2009 17:38:09 +0200

wims (3.65-1) unstable; urgency=low

  * downloaded newer upstream sources from the SVN repository 
    (2009-09-13).
  * updated the patches for quilt, added a new patch which retrieves
    the file configure coming from wims-3.64
  * fixed a new set of files which had an unnecessary exec permission
  * made a list of files to remove at clean time in Makefile; it 
    should be better to have them removed by other Makefiles in
    subdirectories.
  * Now the sources are cleaned properly;
    Closes: #539153
  * Now every precompiled file is definitely removed:
    Closes: #535837
  * fixed a few remaining bashisms
    Closes: #530224

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 13 Sep 2009 21:38:38 +0200

wims (3.64-12) unstable; urgency=low

  * added a Russian translation of the templates, thanks to Yuri Kozlov.
    Closes: #546348

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 13 Sep 2009 00:02:26 +0200

wims (3.64-11) unstable; urgency=low

  * added a dependency on units-filter >= 3.0 (fixes an insidious bug
    about results with a fixed number of digits).
  * added an Italian translation of the templates, thanks to Luca 
    Monducci.
    Closes: #545149
  * made apache2 the default webserver to reconfigure, as it is the default
    dependency for wims.

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 05 Sep 2009 19:39:42 +0200

wims (3.64-10) unstable; urgency=low

  * removed GANG's last precompiled file, which was already in a 
    directory where it should be put only after build and install
    Closes: #535837
  * changed the packaging system: dpatch -> quilt
  * removed the i18n patch from the patch series, since the German 
    localizations are too unsignificant.

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 28 Aug 2009 16:12:42 +0200

wims (3.64-9) unstable; urgency=low

  * removed tree other GANG's precompiled files
    Closes: #535837


 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 16 Jul 2009 18:13:16 +0200

wims (3.64-8) unstable; urgency=low

  * removed GANG's precompiled files wims/bin/true and wims/bin/false,
    and replaced them by symlinks to the trusted Debian files /bin/false
    and /bin/true.
    Closes: #535837

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 12 Jul 2009 11:53:26 +0200

wims (3.64-7) unstable; urgency=low

  * made a modification in wims.preinst to create the account for wims 
    with a uid < 1000.
    Closes: #534926

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 28 Jun 2009 21:40:00 +0200

wims (3.64-6) unstable; urgency=low

  * fixed a bashism in /var/lib/wims/bin/apache-config

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 29 May 2009 17:38:28 +0200

wims (3.64-5) unstable; urgency=low

  * included Gang XIAO's modifications of Flydraw, which add a feature 
    to export DXF files.
  * ensured that po/sourcefile is sorted during the build.
    Closes: #527522
  * modified the dependency: mailutil|mailx for wims.
  * checked that the current source does not contain bashisms detected
    by "checkbashisms".
    Closes: #530223
    Closes: #530224
  * fixed a bug in 20po.patch, which suppressed some necessary spaces in 
    translated strings.
  * added a few ${misc:Depends} in debian/changelog, and upgraded 
    Standards-Version.
  * added the statement "set -e" in debian/wims.config

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 24 May 2009 11:01:02 +0200

wims (3.64-4) unstable; urgency=low

  * modified anstype/sigunits, following Bernadette PERRIN-RIOU's advice

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 16 Mar 2009 14:47:05 +0100

wims (3.64-3) unstable; urgency=low

  * made fixes to avoid the warnings raised by gcc 4.3
  * fixed the deletion of /etc/wims/apache.conf which appeared in the
    previous release.
  * set up a triggers system to reindex the modules
  * Raised the max resources for subprocesses: data segment and 
    virtual memory.


 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 16 Feb 2009 21:50:17 +0100

wims (3.64-2) unstable; urgency=low

  * modified wims-modules.postinst, so it can cut the puzzles if the
    package wims has been uncompressed before wims-module's 
    configuration.
  * fixed the Makefile which did not interact nicely with the scripts
    used to manage i18n
  * fixed a wrong line break which broke an i18N markup
  * fixed the statoverrides for the special files, and the location of
    wims.conf

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 11 Feb 2009 18:45:01 +0100

wims (3.64-1) unstable; urgency=low

  * upgraded to the new upstream version
  * updated the file copyright to take in account the new authors
  * rewritten the debian packaging to use dpatch rather than the custom 
    patches applied by the Makefile.
  * added a section in Readme.Debian to explain how to use dpatch-edit-patch, 
    because it needs the option --debianonly to work correctly.
  * converted the former patches to the dpatch system, simplified some 
    constructs.
  * removed the sourceless java archives from the package.
  * included Hideki Yamane's ja.po file for debconf.
    Closes: #510722
  * included Martin Bagge sv.po file for debconf.
    Closes: #504035
  * added the line "devel_modules=open" into the default file wims.conf
    this allows to have some more help during module development.
  * changed the installation and post-installation rules, so the default
    wims.conf does not overwrite an already existing configuration.
  * added a utility to make a package of newer wims modules compatible with
    wims-3.64

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 03 Feb 2009 18:45:07 +0100

wims (3.62-16) unstable; urgency=low

  * modified the patch gettext1.diff to remove fake references to /tmp
    (they were already commented out); Closes: #496387 (definitely)
  * patched public_html/bin/insdraw..processor. Fixes a bug with black 
    color becoming transparent
  * added a dependence flydraw --> imagemagick, like for wims.
    Closes: #500931
  * modified the file sigunits.diff to allow removing the final 'e0' 
    which appeared in some cases.

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 21 Oct 2008 18:06:04 +0200

wims (3.62-15) unstable; urgency=low

  * patched the files public_html/bin/coqweb and bin/accounts.sh to 
    prevent the usage of files in /tmp by these scripts.
    Closes: #496387

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 24 Aug 2008 23:24:03 +0200

wims (3.62-14) unstable; urgency=low

  * upgraded Standards-Version to 3.8.0
  * patched the module creating French classes, and src/exec.c 
    to send text/html e-mails with a link to activate the new class.
  * removed obsolete dependencies (tetex), added a dependency on 
    mailutils, updated the dependency on wims-modules
  * fixed a problem with apostrophe characters in a texgd's manpage.
  * added a dependency on maxima-share, updated the dependencies on
    units-filter and chemeq
  * added a patch to take in account changes in the type sigunits and
    the library slib/text/sigunits.

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 26 Jun 2008 12:01:39 +0200

wims (3.62-13) unstable; urgency=low

  * reverted the dependency on octave3.0 (the dependency on octave 
    clearly suffices).
  * simplified the files "makepieces", thank to Aaron M. Ucko's bug 
    report.
    Closes: 469399
  * upgraded the version of debian-policy
  * added a rule to clean the .DS_Store files
  * fixed the file debian/copyright

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 06 Mar 2008 00:18:07 +0100

wims (3.62-12) unstable; urgency=low

  * made wims depend on octave3.0, as hinted by Thomas Weber
    Closes: 458845
  * patched the files "makepieces", thanks to Nicolas Vigier's advice:
    this makes the postinst script compatible with newer versions of
    imagemagick.

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 04 Jan 2008 20:48:55 +0100

wims (3.62-11) unstable; urgency=low

  * improved wims-modules.postinst: the overrides set for wims are unset 
    upon uninstall.

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 28 Nov 2007 00:14:20 +0100

wims (3.62-10) unstable; urgency=low

  * improved the detection of previously existing wims user in
    wims-modules postinstall.

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 27 Nov 2007 23:37:12 +0100

wims (3.62-9) unstable; urgency=low

  * modified wims.preinst : there was a bug with useradd.
  * simplified the patch for the management module: now the modification
    of file permissions is no more proosed to the user, and the warnings
    are disabled as they are not useful: the permissions are controlled
    by the Debian package itself.
  * Checked that every requirement listed by Boud Roukema is now taken 
    in account in the release for wims-3.62. 
    Closes: #447896

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 27 Nov 2007 22:55:35 +0100

wims (3.62-8) unstable; urgency=low

  * removed the command finger from the script wims.preinst
  * placed the "chown wims:wims" before the procedure to make fonts.

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 24 Sep 2007 04:12:09 +0200

wims (3.62-7) unstable; urgency=low

  * added texlive-fonts-recommended in the dependencies: so the Euro 
    symbol can be built.
  * made the necessary version of chemeq higher (2.3)
  * put wims.conf back into the /var/lib/wims tree, so the site management 
    can work efficiently inside wims. Fixed the permissions during postinst.
  * fixed the ownership of the math fonts after their creation.
  * fixed the "debian-rules-ignores-make-clean-error".

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 19 Sep 2007 19:52:00 +0200

wims (3.62-6) unstable; urgency=low

  * Upgraded the priority of the config question to "high", this should 
    close a bug described by Cyrille GUIEU, which made the installation
    quite impossible for beginners using Ubuntu.
  * Selected a priority higher for texlive stuff than for tetex, following
    Cyrille GUIEU's suggestion.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 26 Aug 2007 11:02:49 +0200

wims (3.62-5) unstable; urgency=low

  * modified the file "compile" to remove the stripping mechanisms
    which were provided upstream.
    Closes: #438270

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 24 Aug 2007 18:05:56 +0200

wims (3.62-4) unstable; urgency=low

  * added debian/po.es.po, Thanks to Juan Rafael Fernandez
    (jrfern@ofset.org)
  * modified the dependencies, in order to deal with wims-extra
  * modified wims.postrm: removing the apache configuration occurs 
    now only upon a purge.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 22 Jul 2007 15:51:32 +0200

wims (3.62-3) unstable; urgency=low

  * improved the Makefile and the diff file for i18n.

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 20 Jul 2007 17:04:37 +0200

wims (3.62-2) unstable; urgency=low

  * added Odile Bénassy's script liste-wims.py, so it is part of the
    source package. This program makes easier the markup of translatable
    strings for the i18n.

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 20 Jul 2007 17:03:52 +0200

wims (3.62-1) unstable; urgency=low

  * upgraded to the new upstream version

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 30 Jun 2007 19:03:43 +0200

wims (3.61d-5) unstable; urgency=low

  * added more i18n contributions:
  * browse.en by Odile Bénassy <odile@ofset.org>; names.en by Valentin
    Haenel <valentin.haenel@gmx.de>; the adm module by Odile Bénassy 
    <odile@ofset.org>
  * defined a file po/not-sourcefile to prevent some files to get into
    the list of i18nable files.
  * 

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 16 Jun 2007 11:41:57 +0200

wims (3.61d-4) unstable; urgency=low

  * Added Odile Bénassy's gettext patch.
  * fixed the patch so it can recognise various locales
  * added a po directory and its ancillary files
  * added an automatic detection of possible i18nable files

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 13 Jun 2007 20:29:46 +0200

wims (3.61d-3) unstable; urgency=low

  * created wims.postrm to remove apache's configuration files.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 03 Jun 2007 07:38:37 +0200

wims (3.61d-2) unstable; urgency=low

  * added Bart Cornelis' file nl.po
    Closes: #423073
  * added Helge Kreutzmann's po file.
    Closes: #412219
  * fixed the dependencies on texlive

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 11 May 2007 08:57:35 +0200

wims (3.61d-1) unstable; urgency=low

  * Upgraded to the new upstream version.
  * removed an unnecessary patch about sigunits
  * fixed the method of creation of the symlink var/lib/wims/src/defaults.conf

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 31 Mar 2007 15:04:04 +0200

wims (3.60-10) unstable; urgency=low

  * added a dependence on graphicsmagick-imagemagick-compat as an
    alternative.
    Closes: #416297
  * added a patch due to Juan-Rafael Fernandez <jrfernandez@ofset.org>
    which fixes many translation errors in Spanish in the interface and
    in several system modules.
  * creation of the link src/defaults.conf at postinst time.

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 28 Mar 2007 21:46:31 +0200

wims (3.60-9) unstable; urgency=low

  * Copied src/defaults.conf to /etc/wims, and made a symlink; so the
    wims system becomes able to webget successfully module updates and
    new modules.
  * Modified the list of possible maintenance actions : no more direct 
    software update for Wims. If you use the debian package, that may 
    break it.

 -- Georges Khaznadar <georgesk@ofset.org>  Tue,  6 Mar 2007 16:25:10 +0100

wims (3.60-8) unstable; urgency=low

  * Made improvements suggested by J.R. Fernandez <jrfernandez@ofset.org>:
    - propagated the change of attrib.proc to other manage.* directories.
    - put the real wims.conf in /etc/wims, and symlinked it from 
      /var/lib/wims/log/. Put a line in wims.preinst to manage the 
      transition from the previous version.
  * fixed a double Recommends: line in control.

 -- Georges Khaznadar <georgesk@ofset.org>  Mon,  5 Mar 2007 19:10:05 +0100

wims (3.60-7) unstable; urgency=low

  * modified the compilation script, so wims can be built by root user.
    Closes: #409026
  * added Helge Kreutzmann's de.po file for debconf.
  * added a patch for public_html/modules/adm/manage.en/attrib.proc, 
    following an advice of J.R. Fernandez <jrfernandez@ofset.org> : make 
    the security check consistent with the debian packaging methods.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun,  4 Mar 2007 17:28:45 +0100

wims (3.60-6) unstable; urgency=low

  * modified the dependences for gap and yacas.
  * fixed a nasty bug for anstype/sigunits

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 13 Dec 2006 01:11:17 +0100

wims (3.60-5) unstable; urgency=low

  * added a symlink gap --> gap.sh, thanks to Juan Rafael Fernandez.
  * added some modifications to ensure the compatibility with Debian's povray.
    However the configuration scripts are not perfect, see Readme.Debian ...
    Notice that povray is a non-free package.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 19 Nov 2006 01:16:08 +0100

wims (3.60-4) unstable; urgency=low

  * removed the package wimsd from the construction, since this package
    relies on poorly maintained source code.

 -- Georges Khaznadar <georgesk@ofset.org>  Wed,  8 Nov 2006 19:20:41 +0100

wims (3.60-3) unstable; urgency=low

  * Wims-modules: modified the postinst script, thanks to Raphael 
    Hertzog: now this modules needs no more the existence of the user 
    wims to be installed, so there is no need for a circular dependence 
    between the and wims-modules.

 -- Georges Khaznadar <georgesk@ofset.org>  Mon,  6 Nov 2006 18:32:39 +0100

wims (3.60-2) unstable; urgency=low

  * fixed a bug about suid and guid for public_html/wims
  * fixed a bug about the creation of tmp/log
  * added the package wimsd : a lightweight server for wims which can be 
    used to replace Apache for testing purposes (more likely on 
    localhost).

 -- Georges Khaznadar <georgesk@ofset.org>  Wed,  1 Nov 2006 23:39:03 +0100

wims (3.60-1) unstable; urgency=low

  * Upgraded to new upstream version.
    Closes: #395102 (CVE-2006-5443)
  * fixed a bug about the installation of wimslogd

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 29 Oct 2006 12:05:29 +0100

wims (3.58-1) unstable; urgency=low

  * Upgraded to new upstream version
  * Added dependencies on octave and yacas, which are necessary for some
    modules distributed with the package
  * Added a recommendation for wims-extra which enhances the modules

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 19 Sep 2006 03:19:09 +0200

wims (3.56-7) unstable; urgency=low

  * added the file pt.po
    Closes: #381714
  * postinst now creates symbolic links in /var/lib/wims/bin in a secure 
    way.
    Closes: #385633

 -- Georges Khaznadar <georgesk@ofset.org>  Sun,  3 Sep 2006 16:19:08 +0200

wims (3.56-6) unstable; urgency=low

  * modified the dependencies to accept texlive,
    Closes: #379926
    Closes: #381473
  * added the Chech po file.
    Closes: #382928

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 30 Aug 2006 15:01:39 +0200

wims (3.56-5) unstable; urgency=low

  * replaced the type "int" by "int32_t", as R Hertzog suggested to fix 
    issues related to 64-bits cleanlyness in tfm.c

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 11 Jul 2006 10:00:35 +0200

wims (3.56-4) unstable; urgency=low

  * replaced the copies of bin/true and /bin/false by symlinks.
  * included the file fr.po revised by Thomas Huriaux
    Closes: #376302
  * applied Aaron M. Ucko's patch.
    Closes #375580

 -- Georges Khaznadar <georgesk@ofset.org>  Sun,  2 Jul 2006 20:53:37 +0200

wims (3.56-3) unstable; urgency=low

  * removed the non-compiled files bin/true and bin/false. They are
    put again in the tree upon post-installation. Very definitely ...
    Closes: #375838

 -- Georges Khaznadar <georgesk@ofset.org>  Sat,  1 Jul 2006 00:06:47 +0200

wims (3.56-2) unstable; urgency=low

  * modified flydraw's and texgd's sections, to close an override
    disparity
  * removed the precompiled file public_html/bin/symtext and enforced
    its recompilation. Definitely ...
    Closes: #375838

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 30 Jun 2006 22:04:55 +0200

wims (3.56-1) unstable; urgency=low

  * upgraded to the new upstream version

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 29 Jun 2006 22:10:10 +0200

wims (3.55-10) unstable; urgency=low

  * removed precompiled files which remained in the upstream source
    Closes: #375838

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 29 Jun 2006 21:53:33 +0200

wims (3.55-9) unstable; urgency=low

  * integrated Aaron M. Ucko's hint about the shell isue for user wims
    during postinst.
    Closes: #375580

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 28 Jun 2006 11:36:13 +0200

wims (3.55-8) unstable; urgency=low

  * cleared fuzzy flags for already translated entries in
    debian/po/fr.po
  * integrated Thomas Huriaux' modifications.

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 27 Jun 2006 09:30:11 +0200

wims (3.55-7) unstable; urgency=low

  * thanks to Raphael Hertzog, fixed a Build-Depends issue, added
    wims-modules-fr as conflictual and replaced.
  * thanks to Raphael Hertzog, fixed a glitch in wims.templates.

 -- Georges Khaznadar <georgesk@ofset.org>  Mon,  5 Jun 2006 20:25:27 +0200

wims (3.55-6) unstable; urgency=low

  * patched Makefile.in files for Texgif and Flydraw, to ignore the
    local libgd.a library ; modified the main Makefile accordingly.
  * modified texgd.c: now if a headerfile exists without a .tex suffix
    it is taken in account.
    Closes: #344100

 -- Georges Khaznadar <georgesk@ofset.org>  Fri,  2 Jun 2006 18:50:49 +0200

wims (3.55-5) unstable; urgency=low

  * modified postinst: the fonts are now generated by the user wims, added
    postrm : /var/lib/wims is cleaned when purging wims.
    Closes: #338253
  * added Conficts and Replaces clauses in order to get rid of obsolete
    wims-3.28 packages

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 31 May 2006 21:09:27 +0200

wims (3.55-4) unstable; urgency=low

  * tidied up many details, thanks to Raphael Hertzog's hints:
  * simplified postinst (the keywords "function" are optional with bash)
  * deleted some files or dirs which seemed to be useless

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 22 May 2006 16:03:44 +0200

wims (3.55-3) unstable; urgency=low

  * modified the package so it has the same behavior as the previously
    published one : the present source package outputs binary packages
    flydraw and texgd.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 14 May 2006 22:56:21 +0200

wims (3.55-2) unstable; urgency=low

  * made modifications to pass pbuilder's test:
   added "Build-Depends: tetex-bin", replaced "rsync -a" by "cp -Rd"
  * added the usage of po-debconf

 -- Georges Khaznadar <georgesk@ofset.org>  Sun,  7 May 2006 20:05:44 +0200

wims (3.55-1) unstable; urgency=low

  * Updated to last upstream version
  * Packaged it again from scratch because of many upstream changes and
    because it was really needed anyway.
    Closes: #221724 since libgd2 is linked and dependencies are OK.
    Closes: #297888 since the upstream source was fixed.
    Closes: #208815 as the configuration script is pretty new.
    Closes: #215909 as there is no more libwims package.
    Closes: #240566 there is no more Recommends clause.
    Closes: #214991 as the wims user is created before the installation
    begins.

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 26 Apr 2006 10:38:37 +0200

wims (3.28-6.1) unstable; urgency=low

  * non-maintainer upload
  * add dh_shlibdeps to debian/rules
    closes: #215909
  * removed wims-modules-en, wims-modules-cn, wims-modules-es and
    wims-modules-it from wim's Recommends-line
    closes: #240566
  * chown files to wims user in postinst 
    closes: #214991

 -- Michael Banck <mbanck@debian.org>  Tue, 20 Apr 2004 18:00:21 +0200

wims (3.28-6) unstable; urgency=low

  * modified ${libpath} in Flydraw's Makefile.in, added an access to
    libwims.so via $LD_LIBRARY_PATH to enable the just compiled program
    "flydraw" to be run once. Similar fixes made in the directories 
    src/Oef2wims/, src/Msg2wims/, and src/.
    closes : Bug#202282
    closes : Bug#205235

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Tue, 26 Aug 2003 18:49:55 +0200

wims (3.28-5) unstable; urgency=low

  * modified tmp_dir and session_dir to directly point to /var/lib/wims
    inside the source code of wims.
  * added dependance for wims on chemeq (necessary for some modules 
    of chemistry)

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Wed, 16 Jul 2003 16:25:08 +0200

wims (3.28-4) unstable; urgency=low

  * made description of wims-common more explicit (thanks to Ben Burton)
    closes: Bug#201504
  * fixed bugs in insdraw..processor, insplot..processor, povray relative 
    to obsolete GIF handling by convert.
  * updated the dependance on wims-common to be >= 3.28-3
  * updated rights about wrap..exec
  * fixed a symlink /usr/lib/wims/public_html/tmp -> /var/lib/wims/tmp

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Wed, 16 Jul 2003 13:40:38 +0200
  
wims (3.28-3) unstable; urgency=low

  * updated the dependance on imagmagick to be >=4:5.4.4.5-1
  * created a directory /var/lib/wims for session and log stuff
  * fixed some bugs related to ownership
  * fixed many symlinks
  * put libgd2-noxpm-dev first in the Build-Depends alternatives
    closes: Bug#201179
  * forced the execution of compile.debian with an explicit invocation of sh
    closes: Bug#201056
  * defined a file /etc/wims/developers for the modtool module instead of
    $(WIMS_HOME)/log/.developers

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Tue, 15 Jul 2003 15:42:04 +0200

wims (3.28-2) unstable; urgency=low

  * fixed a bug which lead to a bad installation if wims (unofficial version
    3.14) was installed previously

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Wed,  2 Jul 2003 17:33:53 +0200

wims (3.28-1) unstable; urgency=low

  * upgraded to upstream version 3.28
  * merged texgd package, which was previously made from an extraction and
    modification of relevant sources of wims.
  * merged flydraw package, which was previously made from an extraction and
    modification of relevant sources of wims.
  * modified spuzzle and qpuzzle to use only png images.

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Sun, 15 Jun 2003 12:50:59 +0200

wims (3.14-4) unstable; urgency=low

  * all IMG tags have now an ALT attribute.

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Sat, 27 Jul 2002 14:52:40 +0200

wims (3.14-3) unstable; urgency=low

  * flydraw is definitely separated from the package
  * no more libgd with gif support statically linked
  * Texgif output is now PNG
  * Drawode output is now PNG

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Sun, 23 Jun 2002 17:54:14 +0200

